com.rscja.scanner

## Interface IScanner

- All Known Implementing Classes:
    ScannerUtility, ScannerUtility_mtk, ScannerUtility_qcom

      public interface IScanner

  Author:
    Administrator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FORMAT_ASCII` 编码格式：ASCII decoding format: ASCII
    `static int` | `FORMAT_DECIMAL` 编码格式：十进制 decoding format: decimalism
    `static int` | `FORMAT_DEFAULT` 编码格式：默认格式 decoding format: default format
    `static int` | `FORMAT_GB18030` 编码格式：GB18030 decoding format: GB18030
    `static int` | `FORMAT_GB2312` 编码格式：GB2312 decoding format: GB2312
    `static int` | `FORMAT_GBK` 编码格式：GBK decoding format: GBK
    `static int` | `FORMAT_HEX` 编码格式：十六进制 decoding format: hexvalue
    `static int` | `FORMAT_UNICODE` 编码格式：UNICODE decoding format: UNICODE
    `static int` | `FORMAT_UTF8` 编码格式：UTF8 decoding format: UTF8
    `static int` | `FUNCTION_14443A` 14443A
    `static int` | `FUNCTION_15693` 15693
    `static int` | `FUNCTION_1D` 1D
    `static int` | `FUNCTION_2D` 2D软解码 2D soft_decoding
    `static int` | `FUNCTION_2D_H` 2D硬解码 2D Hard_decoding
    `static int` | `FUNCTION_LF_ANIMAL` LF-动物标签 LF_Animal tag
    `static int` | `FUNCTION_LF_EM4450` LF-EM4450
    `static int` | `FUNCTION_LF_HDX` LF-hdx
    `static int` | `FUNCTION_LF_HID` LF-HID
    `static int` | `FUNCTION_LF_HITAG` LF-hiTag
    `static int` | `FUNCTION_LF_ID` LF-id卡 LF_ID card
    `static int` | `FUNCTION_LF_NEEDLE` LF二合一模块 LF dual_protocol module
    `static int` | `FUNCTION_UHF` UHF

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(android.content.Context context)` 关闭键盘助手总开关 Switch off keyboardemulator
    `void` | `disableFunction(android.content.Context context, int function)` 禁用指定功能模块 Disable specific function module
    `void` | `enableAuxiliaryLight(android.content.Context context, boolean enable)` 开启扫描辅助灯(C7x才有此功能) switch on scanning aux.light for C7x series
    `void` | `enableBarcodeNotRepeat(android.content.Context context, boolean enable)` 不输出重复标签(前后两次标签不重复) donot outout repeated tags
    `void` | `enableBlockScankey(android.content.Context context, boolean enable)` 拦截扫描按键 (备注：键盘助手v2.3.5 之后的版本才支持) Block scan button (Comment: Supports after keyboardemualator v2.3.5 has been released)
    `void` | `enableEnter(android.content.Context context, boolean enter)` 是否启用回车 Enter ON/OFF
    `void` | `enableFunction(android.content.Context context, int function)` 启用指定功能模块 Enable specific function module
    `void` | `enablePlayFailureSound(android.content.Context context, boolean failureSound)` 扫描失败是否播放提示音 scan failure sound ON/OFF
    `void` | `enablePlaySuccessSound(android.content.Context context, boolean successSound)` 扫描成功是否播放提示音 Scan success sound ON/OFF
    `void` | `enableScanOnRelease(android.content.Context context, boolean enable)` 释放扫描按键开始扫描
    `void` | `enableTAB(android.content.Context context, boolean tab)` 是否启用TAB TAB ON/OFF
    `void` | `enableVibrate(android.content.Context context, boolean vibrate)` 扫描成功是否震动提示 scan success vibrate ON/OFF
    `void` | `filterCharacter(android.content.Context context, java.lang.String chars)` 过滤字符串 Filter string
    `void` | `getLastDecImage(android.content.Context context)`
    `int` | `getParam_zebra(android.content.Context context, int paramId)`
    `ScannerParameterEntity` | `getScannerParameter(android.content.Context context)`
    `void` | `interceptTrimLeft(android.content.Context context, int num)` 截取左边字符串 Capture string on left
    `void` | `interceptTrimRight(android.content.Context context, int num)` 截取右边字符串 capture string on right
    `boolean` | `isUhfWorking(android.content.Context context)` UHF 是否正在盘点 Working status of UHF
    `void` | `open(android.content.Context context)` 打开键盘助手总开关 Switch on keyboardemulator
    `void` | `resetScan(android.content.Context context)` 键盘助手恢复出厂设置 Restore factory setup
    `void` | `setBarcodeContinuousMode(android.content.Context context, int mode)` 设置扫描头连续扫描模式 (备注：键盘助手v2.3.5 之后的版本才支持) Setup UHF mode (Comment: Supports after keyboardemualator v2.3.5 has been released)
    `void` | `setBarcodeEncodingFormat(android.content.Context context, int format)` 设置条码编码格式 Setup barcode decoding format
    `void` | `setContinuousScan(android.content.Context context, boolean isContinuous)` 设置条码连续扫描 Setup barcode continuous scanning
    `void` | `setContinuousScanIntervalTime(android.content.Context context, int intervalTime)` 设置条码连续扫描间隔时间 Setup barcode continuous scanning intervals
    `void` | `setContinuousScanIntervalTimeRFID(android.content.Context context, int intervalTime)` 设置UHF连续扫描间隔时间 Setup UHF continuous scanning intervals
    `void` | `setContinuousScanRFID(android.content.Context context, boolean isContinuous)` 设置UHF连续扫描 Setup UHF continuous scann
    `void` | `setContinuousScanTimeOut(android.content.Context context, int timeOut)` 设置条码连续扫描超时时间 Setup barcode continuous scanning time-out interval
    `void` | `setContinuousScanTimeOutRFID(android.content.Context context, int timeOut)` 设置UHF连续扫描超时时间 Setup UHF continuous scanning time-out interval
    `void` | `setGroupSeparator(android.content.Context context, boolean disable)` 是否去掉分组符 Delete D GS
    `void` | `setOnUhfWorkStateListener(android.content.Context context, OnUhfWorkStateListener onUhfWorkStateListener)`
    `void` | `setOutputMode(android.content.Context context, int outputMode)` 输出模式 Output mode
    `void` | `setParam_zebra(android.content.Context context, int paramId, int paramValue)` 设置斑马扫描头参数,扫描头上电之后设置一次即可,扫描头断电之后失效。(备注：键盘助手v2.2.0.3 之后的版本才支持) Setup zebra scanner parameters, after scanner has powered on to setup for once,
    `void` | `setPrefix(android.content.Context context, java.lang.String prefix)` 设置前缀 Setup prefix
    `void` | `setReleaseScan(android.content.Context context, boolean enable)` 松开扫描按键是否停止扫描 Stop scan after release scan button
    `void` | `setRFIDEncodingFormat(android.content.Context context, int format)` 设置RFID编码格式 Setup RFID decoding format
    `void` | `setScanFailureBroadcast(android.content.Context context, boolean enable)` 扫描失败是否发送广播,接收广播的action和扫描成功的action是同一个 Send broadcast when scan failure
    `void` | `setScanKey(android.content.Context context, int type, int[] scanKey)` 设置扫描或者读卡的按键值 Setup keycode for barcode scan or card reading
    `void` | `setScanOutTime(android.content.Context context, int time)` 设置扫码超时时间 Setup scan time-out duration
    `void` | `setScanResultBroadcast(android.content.Context context, java.lang.String broadcastAction, java.lang.String data)` 设置条码扫描结果接收的广播 Setup barcode scanning result
    `void` | `setScanResultBroadcastRFID(android.content.Context context, java.lang.String broadcastAction, java.lang.String data)` 设置RFID扫描结果接收广播 Setup RFID scanning result receive broadcast
    `void` | `setSuffix(android.content.Context context, java.lang.String suffix)` 设置后缀 Setup suffix
    `void` | `setUHFMode(android.content.Context context, int mode)` 设置uhf模式 (备注：键盘助手v2.3.5 之后的版本才支持) Setup UHF mode (Comment: Supports after keyboardemualator v2.3.5 has been released)
    `void` | `setUHFPower(android.content.Context context, int power)` 设置uhf功率 Setup UHF output power
    `void` | `setVirtualScanButton(android.content.Context context, int buttonSize)` 设置虚拟扫描按钮
    `void` | `startScan(android.content.Context context, int function)` 开始扫描或者读卡 start scanning or card-reading
    `void` | `stopScan(android.content.Context context, int function)` 停止扫描 Stop scanning

- - ### Field Detail

    - #### FUNCTION_1D

          static final int FUNCTION_1D

      1D
      See Also:
        Constant Field Values

    - #### FUNCTION_2D_H

          static final int FUNCTION_2D_H

      2D硬解码
      2D Hard_decoding
      See Also:
        Constant Field Values

    - #### FUNCTION_2D

          static final int FUNCTION_2D

      2D软解码
      2D soft_decoding
      See Also:
        Constant Field Values

    - #### FUNCTION_14443A

          static final int FUNCTION_14443A

      14443A
      See Also:
        Constant Field Values

    - #### FUNCTION_15693

          static final int FUNCTION_15693

      15693
      See Also:
        Constant Field Values

    - #### FUNCTION_LF_ID

          static final int FUNCTION_LF_ID

      LF-id卡
      LF_ID card
      See Also:
        Constant Field Values

    - #### FUNCTION_LF_ANIMAL

          static final int FUNCTION_LF_ANIMAL

      LF-动物标签
      LF_Animal tag
      See Also:
        Constant Field Values

    - #### FUNCTION_LF_HITAG

          static final int FUNCTION_LF_HITAG

      LF-hiTag
      See Also:
        Constant Field Values

    - #### FUNCTION_LF_HDX

          static final int FUNCTION_LF_HDX

      LF-hdx
      See Also:
        Constant Field Values

    - #### FUNCTION_LF_EM4450

          static final int FUNCTION_LF_EM4450

      LF-EM4450
      See Also:
        Constant Field Values

    - #### FUNCTION_LF_HID

          static final int FUNCTION_LF_HID

      LF-HID
      See Also:
        Constant Field Values

    - #### FUNCTION_LF_NEEDLE

          static final int FUNCTION_LF_NEEDLE

      LF二合一模块
      LF dual_protocol module
      See Also:
        Constant Field Values

    - #### FUNCTION_UHF

          static final int FUNCTION_UHF

      UHF
      See Also:
        Constant Field Values

    - #### FORMAT_DEFAULT

          static final int FORMAT_DEFAULT

      编码格式：默认格式
      decoding format: default format
      See Also:
        Constant Field Values

    - #### FORMAT_ASCII

          static final int FORMAT_ASCII

      编码格式：ASCII
      decoding format: ASCII
      See Also:
        Constant Field Values

    - #### FORMAT_GB2312

          static final int FORMAT_GB2312

      编码格式：GB2312
      decoding format: GB2312
      See Also:
        Constant Field Values

    - #### FORMAT_UTF8

          static final int FORMAT_UTF8

      编码格式：UTF8
      decoding format: UTF8
      See Also:
        Constant Field Values

    - #### FORMAT_UNICODE

          static final int FORMAT_UNICODE

      编码格式：UNICODE
      decoding format: UNICODE
      See Also:
        Constant Field Values

    - #### FORMAT_GBK

          static final int FORMAT_GBK

      编码格式：GBK
      decoding format: GBK
      See Also:
        Constant Field Values

    - #### FORMAT_GB18030

          static final int FORMAT_GB18030

      编码格式：GB18030
      decoding format: GB18030
      See Also:
        Constant Field Values

    - #### FORMAT_HEX

          static final int FORMAT_HEX

      编码格式：十六进制
      decoding format: hexvalue
      See Also:
        Constant Field Values

    - #### FORMAT_DECIMAL

          static final int FORMAT_DECIMAL

      编码格式：十进制
      decoding format: decimalism
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### open

          void open(android.content.Context context)

      打开键盘助手总开关
      Switch on keyboardemulator
      Parameters:
        `context` - Context

    - #### close

          void close(android.content.Context context)

      关闭键盘助手总开关
      Switch off keyboardemulator
      Parameters:
        `context` - Context

    - #### enableFunction

          void enableFunction(android.content.Context context,
                              int function)

      启用指定功能模块
      Enable specific function module
      Parameters:
        `context` - Context
        `function` - 0: 1D， 1: 硬解码(hard_decoding)，2: 软解码(soft_decoding) , 11：UHF
        `FUNCTION_1D`、`FUNCTION_2D_H`、`FUNCTION_2D`、`FUNCTION_UHF`

    - #### disableFunction

          void disableFunction(android.content.Context context,
                               int function)

      禁用指定功能模块
      Disable specific function module
      Parameters:
        `context` - Context
        `function` - 0: 1D， 1: 硬解码(hard_decoding)，2: 软解码(soft_decoding) , 11：UHF
        `FUNCTION_1D`、`FUNCTION_2D_H`、`FUNCTION_2D`、`FUNCTION_UHF`

    - #### startScan

          void startScan(android.content.Context context,
                         int function)

      开始扫描或者读卡
      start scanning or card-reading
      Parameters:
        `context` - Context
        `function` - 0: 1D， 1: 硬解码(hard_decoding)，2: 软解码(soft_decoding) , 11：UHF
        `FUNCTION_1D`、`FUNCTION_2D_H`、`FUNCTION_2D`、`FUNCTION_UHF`

    - #### stopScan

          void stopScan(android.content.Context context,
                        int function)

      停止扫描
      Stop scanning
      Parameters:
        `context` - Context
        `function` - 0: 1D， 1: 硬解码(hard_decoding)，2: 软解码(soft_decoding) , 11：UHF
        `FUNCTION_1D`、`FUNCTION_2D_H`、`FUNCTION_2D`、`FUNCTION_UHF`

    - #### enablePlaySuccessSound

          void enablePlaySuccessSound(android.content.Context context,
                                      boolean successSound)

      扫描成功是否播放提示音
      Scan success sound ON/OFF
      Parameters:
        `context` - Context
        `successSound` - true:播放声音(play sound)，false不播放声音(donot play sound)

    - #### enablePlayFailureSound

          void enablePlayFailureSound(android.content.Context context,
                                      boolean failureSound)

      扫描失败是否播放提示音
      scan failure sound ON/OFF
      Parameters:
        `context` - Context
        `failureSound` - true:播放声音(play sound)，false不播放声音(donot play sound)

    - #### enableVibrate

          void enableVibrate(android.content.Context context,
                             boolean vibrate)

      扫描成功是否震动提示
      scan success vibrate ON/OFF
      Parameters:
        `context` - Context
        `vibrate` - true:表示震动(vibrate)，false表示不震动(NO vibrate)

    - #### setOutputMode

          void setOutputMode(android.content.Context context,
                             int outputMode)

      输出模式
      Output mode
      Parameters:
        `context` - Context
        `outputMode` - 0:扫描到光标位置(scan content to cursor) 1:剪切板(clipboard) 2:广播(broadcast) 3:模拟键盘(analog keyboard)

    - #### setBarcodeEncodingFormat

          void setBarcodeEncodingFormat(android.content.Context context,
                                        int format)

      设置条码编码格式
      Setup barcode decoding format
      Parameters:
        `context` - Context
        `format` - 0: Default 1: ASCII 2:GB2312 3:UTF8 4:Unicode 10:GBK, 11:GB18030
        `FORMAT_DEFAULT`、`FORMAT_ASCII`、`FORMAT_GB2312`、`FORMAT_UTF8`、`FORMAT_UNICODE`、`FORMAT_GBK` 、`FORMAT_GB18030`

    - #### setRFIDEncodingFormat

          void setRFIDEncodingFormat(android.content.Context context,
                                     int format)

      设置RFID编码格式
      Setup RFID decoding format
      Parameters:
        `context` - Context
        `format` - 5:十六进制(Hex) 6: 十进制(decimalism)
        `FORMAT_HEX` 、`FORMAT_DECIMAL`

    - #### enableEnter

          void enableEnter(android.content.Context context,
                           boolean enter)

      是否启用回车
      Enter ON/OFF
      Parameters:
        `context` - Context
        `enter` - true: 启用回车(Enter ON), false:不启用回车(Enter OFF)

    - #### enableTAB

          void enableTAB(android.content.Context context,
                         boolean tab)

      是否启用TAB
      TAB ON/OFF
      Parameters:
        `context` - Context
        `tab` - true: 启用(Tab ON) , false:不启用(Tab OFF)

    - #### setSuffix

          void setSuffix(android.content.Context context,
                         java.lang.String suffix)

      设置后缀
      Setup suffix
      Parameters:
        `context` - Context
        `suffix` - 后缀字符(suffix characters)

    - #### setPrefix

          void setPrefix(android.content.Context context,
                         java.lang.String prefix)

      设置前缀
      Setup prefix
      Parameters:
        `context` - Context
        `prefix` - 前缀字符(prefix characters)

    - #### interceptTrimLeft

          void interceptTrimLeft(android.content.Context context,
                                 int num)

      截取左边字符串
      Capture string on left
      Parameters:
        `context` - Context
        `num` - 左边截取的字符数量(string capacity that captured on left)

    - #### interceptTrimRight

          void interceptTrimRight(android.content.Context context,
                                  int num)

      截取右边字符串
      capture string on right
      Parameters:
        `context` - Context
        `num` - 右边截取的字符数量(string capacity that captured on right)

    - #### setScanOutTime

          void setScanOutTime(android.content.Context context,
                              int time)

      设置扫码超时时间
      Setup scan time-out duration
      Parameters:
        `context` - Context
        `time` - 超时时间，单位秒(time-out duration, unit is sec.)

    - #### filterCharacter

          void filterCharacter(android.content.Context context,
                               java.lang.String chars)

      过滤字符串
      Filter string
      Parameters:
        `context` - Context
        `chars` - 过滤的字符(fialtered strings)

    - #### setContinuousScanRFID

          void setContinuousScanRFID(android.content.Context context,
                                     boolean isContinuous)

      设置UHF连续扫描
      Setup UHF continuous scann
      Parameters:
        `context` - Context
        `isContinuous` - true: 连续扫描(continous scann ) false：单次扫描(single scann)

    - #### setContinuousScanIntervalTimeRFID

          void setContinuousScanIntervalTimeRFID(android.content.Context context,
                                                 int intervalTime)

      设置UHF连续扫描间隔时间
      Setup UHF continuous scanning intervals
      Parameters:
        `context` - Context
        `intervalTime` - 间隔时间，单位毫秒(time interval,unit is millisecond. )

    - #### setContinuousScanTimeOutRFID

          void setContinuousScanTimeOutRFID(android.content.Context context,
                                            int timeOut)

      设置UHF连续扫描超时时间
      Setup UHF continuous scanning time-out interval
      Parameters:
        `context` - Context
        `timeOut` - 超时时间，单位秒 (timeout, unit is sec.)

    - #### setUHFPower

          void setUHFPower(android.content.Context context,
                           int power)

      设置uhf功率
      Setup UHF output power
      Parameters:
        `context` - Context
        `power` - 功率值(Power value)

    - #### setContinuousScan

          void setContinuousScan(android.content.Context context,
                                 boolean isContinuous)

      设置条码连续扫描
      Setup barcode continuous scanning
      Parameters:
        `context` - Context
        `isContinuous` - true: 连续扫描(continous scann ) false：单次扫描(single scann)

    - #### setContinuousScanIntervalTime

          void setContinuousScanIntervalTime(android.content.Context context,
                                             int intervalTime)

      设置条码连续扫描间隔时间
      Setup barcode continuous scanning intervals
      Parameters:
        `context` - Context
        `intervalTime` - 间隔时间，单位毫秒(time interval,unit is millisecond. )

    - #### setContinuousScanTimeOut

          void setContinuousScanTimeOut(android.content.Context context,
                                        int timeOut)

      设置条码连续扫描超时时间
      Setup barcode continuous scanning time-out interval
      Parameters:
        `context` - Context
        `timeOut` - 超时时间，单位秒 (timeout, unit is sec.)

    - #### resetScan

          void resetScan(android.content.Context context)

      键盘助手恢复出厂设置
      Restore factory setup
      Parameters:
        `context` - Context

    - #### setScanKey

          void setScanKey(android.content.Context context,
                          int type,
                          int[] scanKey)

      设置扫描或者读卡的按键值
      Setup keycode for barcode scan or card reading
      Parameters:
        `context` - Context
        `scanKey` - 按键值,条码和UHF支持两个按键值，其他的只支持一个按键值(scanKey keycode, barcode and UHF support two keycodes, others support one keycode.)
        `type` - 0: Barcode 1：RFID 2：LF 3：UHF

    - #### setScanFailureBroadcast

          void setScanFailureBroadcast(android.content.Context context,
                                       boolean enable)

      扫描失败是否发送广播,接收广播的action和扫描成功的action是同一个
      Send broadcast when scan failure
      Parameters:
        `context` - Context
        `enable` - true:发送(send) false：不发送(no send)

    - #### setScanResultBroadcast

          void setScanResultBroadcast(android.content.Context context,
                                      java.lang.String broadcastAction,
                                      java.lang.String data)

      设置条码扫描结果接收的广播
      Setup barcode scanning result
      Parameters:
        `context` - Context
        `broadcastAction` - 广播的action名称 (broadcastAction designation of broadcastAction)
        `data` - 广播的Extra名称 (Extra designation of broadcast)

    - #### setScanResultBroadcastRFID

          void setScanResultBroadcastRFID(android.content.Context context,
                                          java.lang.String broadcastAction,
                                          java.lang.String data)

      设置RFID扫描结果接收广播
      Setup RFID scanning result receive broadcast
      Parameters:
        `context` - Context
        `broadcastAction` - 广播的action名称 ( broadcast action designation)
        `data` - 广播的Extra名称 (Extra designation of broadcast)

    - #### setGroupSeparator

          void setGroupSeparator(android.content.Context context,
                                 boolean disable)

      是否去掉分组符
      Delete D GS
      Parameters:
        `context` - Context
        `disable` - true:禁用 (disable) false：启用(enable)

    - #### setReleaseScan

          void setReleaseScan(android.content.Context context,
                              boolean enable)

      松开扫描按键是否停止扫描
      Stop scan after release scan button
      Parameters:
        `context` - Context
        `enable` - true:停止扫描(stop scan) false：不停止扫描(continnue scan)

    - #### enableAuxiliaryLight

          void enableAuxiliaryLight(android.content.Context context,
                                    boolean enable)

      开启扫描辅助灯(C7x才有此功能)
      switch on scanning aux.light for C7x series
      Parameters:
        `context` - Context
        `enable` - true:开启扫描辅助灯(switch on scan aux.light) false： 关闭扫描辅助灯(switch off aux.light)

    - #### enableBarcodeNotRepeat

          void enableBarcodeNotRepeat(android.content.Context context,
                                      boolean enable)

      不输出重复标签(前后两次标签不重复)
      donot outout repeated tags
      Parameters:
        `context` - Context
        `enable` - true:不输出重复标签 (donot output repeated tags) false： 输出重复标签(output repeated tags)

    - #### setParam_zebra

          void setParam_zebra(android.content.Context context,
                              int paramId,
                              int paramValue)

      设置斑马扫描头参数,扫描头上电之后设置一次即可,扫描头断电之后失效。(备注：键盘助手v2.2.0.3 之后的版本才支持)
      Setup zebra scanner parameters, after scanner has powered on to setup for once,
      Parameters:
        `context` - Context
        `paramId` - 参数ID (Param Id)
        `paramValue` - 参数value (Param Value)

    - #### getParam_zebra

          int getParam_zebra(android.content.Context context,
                             int paramId)

    - #### setUHFMode

          void setUHFMode(android.content.Context context,
                          int mode)

      设置uhf模式 (备注：键盘助手v2.3.5 之后的版本才支持)
      Setup UHF mode (Comment: Supports after keyboardemualator v2.3.5 has been released)
      Parameters:
        `context` - Context
        `mode` - 0:epc、 1:tid

    - #### setBarcodeContinuousMode

          void setBarcodeContinuousMode(android.content.Context context,
                                        int mode)

      设置扫描头连续扫描模式 (备注：键盘助手v2.3.5 之后的版本才支持)
      Setup UHF mode (Comment: Supports after keyboardemualator v2.3.5 has been released)
      Parameters:
        `context` - Context
        `mode` - 1:普通模式 2:斑马模式(斑马扫描头才支持此模式)
        `mode:` - 1: standard mode 2: zebra mode

    - #### enableBlockScankey

          void enableBlockScankey(android.content.Context context,
                                  boolean enable)

      拦截扫描按键 (备注：键盘助手v2.3.5 之后的版本才支持)
      Block scan button (Comment: Supports after keyboardemualator v2.3.5 has been released)
      Parameters:
        `context` - Context
        `enable` - true:拦截扫描按键，不上报扫描按键值 false:不拦截扫描按键
        `enable` - true:block scan button, no keycode feedback false:NO block scan button

    - #### isUhfWorking

          boolean isUhfWorking(android.content.Context context)

      UHF 是否正在盘点
      Working status of UHF
      Parameters:
        `context` - Context
      Returns:
        true:working false:non-working

    - #### setOnUhfWorkStateListener

          void setOnUhfWorkStateListener(android.content.Context context,
                                         OnUhfWorkStateListener onUhfWorkStateListener)

      Parameters:
        `context` -
        `onUhfWorkStateListener` -

    - #### getLastDecImage

          void getLastDecImage(android.content.Context context)

    - #### enableScanOnRelease

          void enableScanOnRelease(android.content.Context context,
                                   boolean enable)

      释放扫描按键开始扫描
      Parameters:
        `context` - Context

    - #### setVirtualScanButton

          void setVirtualScanButton(android.content.Context context,
                                    int buttonSize)

      设置虚拟扫描按钮
      Parameters:
        `context` - Context

    - #### getScannerParameter

          ScannerParameterEntity getScannerParameter(android.content.Context context)